//================ PATTERN LIST =========================================

//Moperation = `read;
//Moperation = `write;

//MoperationType = `byteWrite 
//MoperationType = `pageWrite           
//MoperationType = `immedAddrRead               
//MoperationType = `selectiveRead               
//MoperationType = `sequentialImmedRead         
//MoperationType = `sequentialSelectRead        
        
//addr = 16'h0000;
//dataByte = 8'h55;
//pattern = 9;
//lSeq = 1;

//WPPAD = 0;            // set Hardware Write Potect

//addrInfoByteW,addrInfoByteR: to be copied(&uncommented) from "MemParameters.v" 

//==========================================================================

//
// Input Data Sequence - next steps
//
                2:
                        begin
                        WPPAD = 1;
                        addr = 16'h00fe;
                        Moperation = `write;
                        MoperationType = `byteWrite;
                        dataByte = 8'h22;
                        lSeq = 1;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end

                3:
                        begin
                        WPPAD = 0;
                        Moperation = `write;
                        MoperationType = `byteWrite;
                        addr = 16'h00ff;
                        lSeq = 1;
                        dataByte = 8'h33;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end

                4:
                        begin
                        WPPAD = 0;
                        Moperation = `read;
                        MoperationType = `selectiveRead;
                        addr = 16'h00fd;
                        lSeq = 1;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end
                5:
                        begin
                        Moperation = `read;
                        MoperationType = `immedAddrRead;
                        lSeq = 1;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end

                6:
                        begin
                        Moperation = `read;
                        MoperationType = `immedAddrRead;
                        lSeq = 1;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end
                7:

                        begin
                        Moperation = `write;
                        MoperationType = `pageWrite;
                        addr = 16'h01c0;
                        pattern = 1;
                        lSeq = 35;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end

                8:
                        begin
                        Moperation = `write;
                        MoperationType = `pageWrite;
                        pattern = 3;
                        addr = 16'h01e5;
                        lSeq = 32;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end
                9:
                        begin
                        Moperation = `write;
                        MoperationType = `pageWrite;
                        pattern = 5;
                        addr = 16'h0000;
                        lSeq = 32;
                 	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end
                10:
                        begin
                        Moperation = `write;
                        MoperationType = `pageWrite;
                        pattern = 7;
                        addr = 16'h0020;
                        lSeq = 16;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end

                11:
                        begin
                        Moperation = `read;
                        MoperationType = `sequentialSelectRead;
                        addr = 16'h0000;
                        lSeq = 32*16;
                	addrInfoByteW = {headerFirstHalf,addrDev[2:0],`B0};
                        addrInfoByteR = {headerFirstHalf,addrDev[2:0],`B1};
                        end
